#pragma once

#include "features/items/contracts/ItemCommandTypes.h"
#include "features/items/contracts/ItemSelectorTypes.h"

namespace ta::features::items::contracts
{
    class IItemCommands
    {
    public:
        virtual ~IItemCommands() = default;
        virtual void open_selector() = 0;
        virtual void set_selector_active(bool active) = 0;
        virtual void submit_selector(ta::features::items::contracts::ItemSelectorCommand command) = 0;
        virtual void request_action(ta::features::items::contracts::ItemActionCommand command) = 0;
    };
}
